Index: /trunk/data/class/SC_Date.php
===================================================================
--- /trunk/data/class/SC_Date.php	(revision 16741)
+++ /trunk/data/class/SC_Date.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -22,135 +22,152 @@
  */
 
-/*　日時表示用クラス */
+/* 日時表示用クラス */
 class SC_Date {
-	var $start_year;
-	var $month;
-	var $day;
-	var $end_year;
-	
-	// コンストラクタ
-	function SC_Date($start_year='', $end_year='') {
-		if ( $start_year ) 	$this->setStartYear($start_year);	
-		if ( $end_year )	$this->setEndYear($end_year);
-	}
-	
-	function setStartYear($year){
-		$this->start_year = $year;
-	}
-	
-	function getStartYear(){
-		return $this->start_year;
-	}
-	
-	function setEndYear($endYear) {
-		$this->end_year = $endYear;	
-	}
-	
-	function getEndYear() {
-		return $this->end_year;
-	}
-	
-	function setMonth($month){
-		$this->month = $month;			
-	}
-	
-	function setDay ($day){
-		$this->day = $day;
-	}
-			
-	function getYear($year = '', $default = ''){
-		if ( $year ) $this->setStartYear($year);
-		
-		$year = $this->start_year;
-		if ( ! $year ) $year = DATE("Y");
-		
-		$end_year = $this->end_year;
-		if ( ! $end_year ) $end_year = (DATE("Y") + 3);
-		
-		$year_array = array();
-		
-		for ($i=$year; $i<=($end_year); $i++){		
-			$year_array[$year] = $i;
-			if($year == $default) {
-				$year_array['----'] = "----";
-			}
-			$year++;
-		}
-		return $year_array;
-	}
-	
-	function getZeroYear($year = ''){
-		if ( $year ) $this->setStartYear($year);
-		
-		$year = $this->start_year;
-		if ( ! $year ) $year = DATE("Y");
-		
-		$end_year = $this->end_year;
-		if ( ! $end_year ) $end_year = (DATE("Y") + 3);
-		
-		$year_array = array();
-		
-		for ($i=$year; $i<=($end_year); $i++){
-			$key = substr($i, -2);
-			$year_array[$key] = $key;
-		}
-		return $year_array;
-	}
-	
-	function getZeroMonth(){
-	
-		$month_array = array();
-		for ($i=1; $i <= 12; $i++){
-			$val = sprintf("%02d", $i);
-			$month_array[$val] = $val;
-		}
-		return $month_array;
-	}	
-	
-	
-	function getMonth(){
-	
-		$month_array = array();
-		for ($i=0; $i < 12; $i++){		
-			$month_array[$i + 1 ] = $i + 1;
-		}
-		return $month_array;
-	}	
-	
-	function getDay(){	
-		
-		$day_array = array();
-		for ($i=0; $i < 31; $i++){		
-			$day_array[ $i + 1 ] = $i + 1;
-		}
-		
-		return $day_array;
-	}
+    var $start_year;
+    var $month;
+    var $day;
+    var $end_year;
+    
+    // コンストラクタ
+    function SC_Date($start_year='', $end_year='') {
+        if ( $start_year )  $this->setStartYear($start_year);
+        if ( $end_year )    $this->setEndYear($end_year);
+    }
+    
+    function setStartYear($year){
+        $this->start_year = $year;
+    }
+    
+    function getStartYear(){
+        return $this->start_year;
+    }
+    
+    function setEndYear($endYear) {
+        $this->end_year = $endYear;
+    }
+    
+    function getEndYear() {
+        return $this->end_year;
+    }
+    
+    function setMonth($month){
+        $this->month = $month;
+    }
+    
+    function setDay ($day){
+        $this->day = $day;
+    }
+    
+    /**
+     * 年プルダウン用の配列を返す
+     * FIXME $default_year に一致いる行が無かった場合、先頭か末尾に付加すべきと思われる。
+     * @param string $year    XMLファイル名
+     * @param bool|string $default_year
+     *     false  「選択なし」は含めない。
+     *     true   「選択なし」は含める。
+     *     string 「選択なし」は指定された値の下に付加する。
+     * @param string $default_key
+     */
+    function getYear($year = '', $default_year = false, $default_key = '----') {
+        if ( $year ) $this->setStartYear($year);
+        
+        $year = $this->start_year;
+        if ( ! $year ) $year = DATE("Y");
+        
+        $end_year = $this->end_year;
+        if ( ! $end_year ) $end_year = (DATE("Y") + 3);
+        
+        $year_array = array();
+        
+        if ($default_year === true) {
+            $year_array[$default_key] = '----';
+        }
+        
+        for ($i = $year; $i <= $end_year; $i++) {
+            $year_array[$i] = $i;
+            if ($default_year !== true && strlen($default_year) >= 1 && $i == $default_year) {
+                $year_array[$default_key] = '----';
+            }
+        }
+        return $year_array;
+    }
+    
+    function getZeroYear($year = ''){
+        if ( $year ) $this->setStartYear($year);
+        
+        $year = $this->start_year;
+        if ( ! $year ) $year = DATE("Y");
+        
+        $end_year = $this->end_year;
+        if ( ! $end_year ) $end_year = (DATE("Y") + 3);
+        
+        $year_array = array();
+        
+        for ($i = $year; $i <= $end_year; $i++) {
+            $key = substr($i, -2);
+            $year_array[$key] = $key;
+        }
+        return $year_array;
+    }
+    
+    function getZeroMonth(){
+    
+        $month_array = array();
+        for ($i=1; $i <= 12; $i++){
+            $val = sprintf("%02d", $i);
+            $month_array[$val] = $val;
+        }
+        return $month_array;
+    }   
+    
+    
+    function getMonth($default = false) {
+        $month_array = array();
+        
+        if ($default) $month_array[''] = '--';
+        
+        for ($i=0; $i < 12; $i++){
+            $month_array[$i + 1 ] = $i + 1;
+        }
+        return $month_array;
+    }   
+    
+    function getDay($default = false) {
+        $day_array = array();
+        
+        if ($default) $day_array[''] = '--';
+        
+        for ($i=0; $i < 31; $i++){
+            $day_array[ $i + 1 ] = $i + 1;
+        }
+        
+        return $day_array;
+    }
 
-	function getHour(){	
-		
-		$day_array = array();
-		for ($i=0; $i<=23; $i++){		
-			$hour_array[$i] = $i;
-		}
-		
-		return $hour_array;
-	}
+    function getHour(){
+        
+        $day_array = array();
+        for ($i=0; $i<=23; $i++){
+            $hour_array[$i] = $i;
+        }
+        
+        return $hour_array;
+    }
 
-	function getMinutes(){	
-		
-		$minutes_array = array();
-		for ($i=0; $i<=59; $i++){		
-			$minutes_array[$i] = $i;
-		}
-		
-		return $minutes_array;
-	}
-	
-	function getMinutesInterval(){	
-		
-		$minutes_array = array("00"=>"00", "30"=>"30");		
-		return $minutes_array;
-	}	
+    function getMinutes(){
+        
+        $minutes_array = array();
+        for ($i=0; $i<=59; $i++){
+            $minutes_array[$i] = $i;
+        }
+        
+        return $minutes_array;
+    }
+    
+    function getMinutesInterval(){
+        
+        $minutes_array = array("00"=>"00", "30"=>"30");
+        return $minutes_array;
+    }
 }
 ?>
Index: /trunk/data/class/SC_Fpdf.php
===================================================================
--- /trunk/data/class/SC_Fpdf.php	(revision 18562)
+++ /trunk/data/class/SC_Fpdf.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -341,12 +341,12 @@
       $col = "product_id, classcategory_id1, classcategory_id2, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
       $where = "order_id = ?";
-      $objQuery->setorder("classcategory_id1, classcategory_id2");
+      $objQuery->setOrder("classcategory_id1, classcategory_id2");
       $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
       return $arrRet;
     }
 
-    // 文字コードSJIS変換 -> japanese.phpで使用出来る文字コードはSJISのみ
+    // 文字コードSJIS変換 -> japanese.phpで使用出来る文字コードはSJIS-winのみ
     function sjis_conv($conv_str) {
-      return (mb_convert_encoding($conv_str, "SJIS", CHAR_CODE));
+      return (mb_convert_encoding($conv_str, "SJIS-win", CHAR_CODE));
     }
 
Index: /trunk/data/class/SC_Session.php
===================================================================
--- /trunk/data/class/SC_Session.php	(revision 16741)
+++ /trunk/data/class/SC_Session.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_FormParam.php
===================================================================
--- /trunk/data/class/SC_FormParam.php	(revision 18007)
+++ /trunk/data/class/SC_FormParam.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/campaign/LC_Page_Campaign.php
===================================================================
--- /trunk/data/class/pages/campaign/LC_Page_Campaign.php	(revision 17653)
+++ /trunk/data/class/pages/campaign/LC_Page_Campaign.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -329,5 +329,5 @@
             $table = "vw_product_class AS prdcls";
             $where = "product_id = ?";
-            $objQuery->setorder("rank1 DESC, rank2 DESC");
+            $objQuery->setOrder("rank1 DESC, rank2 DESC");
             $arrRet = $objQuery->select($col, $table, $where, array($product_id));
         }
@@ -374,5 +374,5 @@
         $where = "del_flg = 0";
         $order = "payment_id";
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
         $arrRet = $objQuery->select($col, $from, $where);
         return $arrRet;
Index: /trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php
===================================================================
--- /trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php	(revision 18562)
+++ /trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -88,7 +88,7 @@
                                  array(  "column" => "addr02", "convert" => "aKV" ),
                                  array(  "column" => "email", "convert" => "a" ),
-                                 array(  "column" => "email2", "convert" => "a" ),
+                                 array(  "column" => "email02", "convert" => "a" ),
                                  array(  "column" => "email_mobile", "convert" => "a" ),
-                                 array(  "column" => "email_mobile2", "convert" => "a" ),
+                                 array(  "column" => "email_mobile02", "convert" => "a" ),
                                  array(  "column" => "tel01", "convert" => "n" ),
                                  array(  "column" => "tel02", "convert" => "n" ),
@@ -100,4 +100,7 @@
                                  array(  "column" => "job", "convert" => "n" ),
                                  array(  "column" => "birth", "convert" => "n" ),
+                                 array(  "column" => "year",  "convert" => "n"),
+                                 array(  "column" => "month", "convert" => "n"),
+                                 array(  "column" => "day",   "convert" => "n"),
                                  array(  "column" => "reminder", "convert" => "n" ),
                                  array(  "column" => "reminder_answer", "convert" => "aKV"),
@@ -130,5 +133,5 @@
             if ($this->arrErr || $_POST["mode"] == "return") {		// 入力エラーのチェック
                 foreach($arrRegistColumn as $key) {
-                    $this->$key['column'] = $arrForm[$key['column']];
+                    $this->$key['column'] = $this->arrForm[$key['column']];
                 }
 
Index: /trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php
===================================================================
--- /trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 18562)
+++ /trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/campaign/LC_Page_CampaignComplete.php
===================================================================
--- /trunk/data/class/pages/campaign/LC_Page_CampaignComplete.php	(revision 17653)
+++ /trunk/data/class/pages/campaign/LC_Page_CampaignComplete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/LC_Page.php
===================================================================
--- /trunk/data/class/pages/LC_Page.php	(revision 18432)
+++ /trunk/data/class/pages/LC_Page.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/preview/LC_Page_Preview.php
===================================================================
--- /trunk/data/class/pages/preview/LC_Page_Preview.php	(revision 17742)
+++ /trunk/data/class/pages/preview/LC_Page_Preview.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /trunk/data/class/pages/LC_Page_InputZip.php	(revision 17682)
+++ /trunk/data/class/pages/LC_Page_InputZip.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 17062)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -140,5 +140,5 @@
     function getOtherDeliv($customerId) {
         $objQuery = new SC_Query;
-        $objQuery->setorder('other_deliv_id DESC');
+        $objQuery->setOrder('other_deliv_id DESC');
         $arrRet = $objQuery->select('*', 'dtb_other_deliv', 'customer_id = ?', array($customerId));
         return empty($arrRet) ? array() : $arrRet;
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18562)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -141,5 +141,5 @@
         $col = "product_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
         $where = "order_id = ?";
-        $objQuery->setorder("classcategory_id1, classcategory_id2");
+        $objQuery->setOrder("classcategory_id1, classcategory_id2");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18562)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -445,6 +445,6 @@
 
                 $email_cnt = $this->objQuery->count("dtb_customer",
-                                 "del_flg=0 AND " . $mailType . "= ?",
-                                  array($this->arrForm[$mailType]));
+                                 "del_flg=0 AND (email = ? OR email_mobile = ?) ",
+                                  array($this->arrForm[$mailType], $this->arrForm[$mailType]));
                 if ($email_cnt > 0){
                     $arrMailType2[$mailType] = false;
@@ -501,7 +501,7 @@
         $objErr->doFunc(array('携帯メールアドレス(確認)', "email_mobile02", MTEXT_LEN), array("EMAIL_CHECK","NO_SPTAB" , "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK", "MOBILE_EMAIL_CHECK"));
         $objErr->doFunc(array('携帯メールアドレス', '携帯メールアドレス(確認)', "email_mobile", "email_mobile02") ,array("EQUAL_CHECK"));
-        $objErr->doFunc(array("お電話番号1", 'tel01'), array("EXIST_CHECK","SPTAB_CHECK"));
-        $objErr->doFunc(array("お電話番号2", 'tel02'), array("EXIST_CHECK","SPTAB_CHECK"));
-        $objErr->doFunc(array("お電話番号3", 'tel03'), array("EXIST_CHECK","SPTAB_CHECK"));
+        $objErr->doFunc(array("お電話番号1", 'tel01'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("お電話番号2", 'tel02'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("お電話番号3", 'tel03'), array("EXIST_CHECK"));
         $objErr->doFunc(array("お電話番号", "tel01", "tel02", "tel03", TEL_LEN) ,array("TEL_CHECK"));
         $objErr->doFunc(array("FAX番号", "fax01", "fax02", "fax03", TEL_LEN) ,array("TEL_CHECK"));
@@ -684,7 +684,7 @@
         $objErr->doFunc(array('メールアドレス', "email", MTEXT_LEN) ,array("EXIST_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
         $objErr->doFunc(array('携帯メールアドレス', "email_mobile", MTEXT_LEN) ,array("EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK", "MOBILE_EMAIL_CHECK"));
-        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK","SPTAB_CHECK"));
-        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK","SPTAB_CHECK"));
-        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK","SPTAB_CHECK"));
+        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK"));
         $objErr->doFunc(array("電話番号", "tel01", "tel02", "tel03", TEL_LEN) ,array("TEL_CHECK"));
         $objErr->doFunc(array("FAX番号", "fax01", "fax02", "fax03", TEL_LEN) ,array("TEL_CHECK"));
@@ -772,7 +772,7 @@
         $objErr->doFunc(array("市区町村", "addr01", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK" ,"MAX_LENGTH_CHECK"));
         $objErr->doFunc(array("番地", "addr02", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK" ,"MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK","SPTAB_CHECK" ));
-        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK","SPTAB_CHECK" ));
-        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK","SPTAB_CHECK" ));
+        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK"));
         $objErr->doFunc(array("電話番号", "tel01", "tel02", "tel03",TEL_ITEM_LEN) ,array("TEL_CHECK"));
 
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 18007)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -90,5 +90,5 @@
 
             if($objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'], true)) {
-                $this->sendRedirect($this->getLocation("./index.php"));
+                $this->sendRedirect($this->getLocation("./index.php", array(), true));
                 exit;
             } else {
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 17653)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -64,5 +64,5 @@
         // ログイン判定
         if($objCustomer->isLoginSuccess()) {
-            $this->sendRedirect($this->getLocation("./index.php"));
+            $this->sendRedirect($this->getLocation("./index.php", array(), true));
             exit;
         } else {
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 16582)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 17680)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -110,5 +110,5 @@
         $col = "product_id, classcategory_id1, classcategory_id2, quantity";
         $where = "order_id = ?";
-        $objQuery->setorder("classcategory_id1, classcategory_id2");
+        $objQuery->setOrder("classcategory_id1, classcategory_id2");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 16582)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 18177)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -173,7 +173,7 @@
         $objErr->doFunc(array("ご住所（1）", "addr01", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
         $objErr->doFunc(array("ご住所（2）", "addr02", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("お電話番号1", 'tel01'), array("EXIST_CHECK","NUM_CHECK"));
-        $objErr->doFunc(array("お電話番号2", 'tel02'), array("EXIST_CHECK","NUM_CHECK"));
-        $objErr->doFunc(array("お電話番号3", 'tel03'), array("EXIST_CHECK","NUM_CHECK"));
+        $objErr->doFunc(array("お電話番号1", 'tel01'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("お電話番号2", 'tel02'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("お電話番号3", 'tel03'), array("EXIST_CHECK"));
         $objErr->doFunc(array("お電話番号", "tel01", "tel02", "tel03", TEL_LEN) ,array("TEL_CHECK"));
         return $objErr->arrErr;
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18562)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -143,7 +143,7 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset(SEARCH_PMAX, $startno);
+        $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
         // 表示順序
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         //お気に入りの取得
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage.php	(revision 17653)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -103,7 +103,7 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset(SEARCH_PMAX, $startno);
+        $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
         // 表示順序
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         //購入履歴の取得
@@ -209,4 +209,5 @@
             $this->CustomerName1 = $objCustomer->getvalue('name01');
             $this->CustomerName2 = $objCustomer->getvalue('name02');
+            $this->CustomerPoint = $objCustomer->getvalue('point');
         }
 
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18562)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -147,7 +147,7 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset(HISTORY_NUM, $pageNo);
+        $objQuery->setLimitOffset(HISTORY_NUM, $pageNo);
         // 表示順序
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         //購入履歴の取得
@@ -208,5 +208,5 @@
         $col = "product_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
         $where = "order_id = ?";
-        $objQuery->setorder("classcategory_id1, classcategory_id2");
+        $objQuery->setOrder("classcategory_id1, classcategory_id2");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
Index: /trunk/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /trunk/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 16630)
+++ /trunk/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php
===================================================================
--- /trunk/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 16856)
+++ /trunk/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php
===================================================================
--- /trunk/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 16849)
+++ /trunk/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /trunk/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 17161)
+++ /trunk/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php
===================================================================
--- /trunk/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 16847)
+++ /trunk/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
